Get File Versions

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all versions of a file.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/versions \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file.

Response Example

F6003

F6003

R007

R004

F6005

V005

V004

R008

R008

F6006

F7003

V002

A001

R008

R008

F7004

R009

R009

R004

F6004

F7008

V004

V004

F000

200
200
400
401
403
404
405
429
500
Copied!
  {
    "data": [
      {
        "id": "cjrrr55b395f872ad4b0a8c52b02eab98c1c5-2774428000000002078",
        "type": "versions",
        "attributes": {
          "created_time": "Apr 13, 3:07 PM",
          "is_locked": false,
          "notes": "Reverted to version 3.0",
          "capabilities": {
            "can_read": true,
            "can_edit": true,
            "can_delete": true
          },
          "del_time": -1,
          "created_time_in_milliseconds": 1618306634449,
          "version_number": 5,
          "version_id": 2774428000000002000,
          "created_by": "Zylker Creation",
          "file_size": 92684,
          "file_id": 2774428000000002000,
          "size_in_bytes": "90.0 KB",
          "resource_id": "cjrrr55b395f872ad4b0a8c52b02eab98c1c5"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/versions/cjrrr55b395f872ad4b0a8c52b02eab98c1c5-2774428000000002078"
        }
      },
      {
        "id": "cjrrr55b395f872ad4b0a8c52b02eab98c1c5-2774428000000002076",
        "type": "versions",
        "attributes": {
          "created_time": "Apr 13, 3:06 PM",
          "is_locked": false,
          "notes": "Updated through upload action",
          "capabilities": {
            "can_read": true,
            "can_edit": true,
            "can_delete": true
          },
          "del_time": -1,
          "created_time_in_milliseconds": 1618306596243,
          "version_number": 4,
          "version_id": 2774428000000002000,
          "created_by": "Zylker Creation",
          "file_size": 76857,
          "file_id": 2774428000000002000,
          "size_in_bytes": "75.0 KB",
          "resource_id": "cjrrr55b395f872ad4b0a8c52b02eab98c1c5"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/versions/cjrrr55b395f872ad4b0a8c52b02eab98c1c5-2774428000000002076"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F6003",
        "title": "Invalid Param found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R007",
        "title": "Invalid pattern"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F6005",
        "title": "Parameter length more than permitted"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "V005",
        "title": "Invalid version info"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "V004",
        "title": "Invalid version id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F6006",
        "title": "You are not authorised to do this action"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "V002",
        "title": "Version locked by another user"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Insufficient permissions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not active"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F6004",
        "title": "Invalid Method"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7008",
        "title": "Request rate limit exceeded. Please retry again later."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "V004",
        "title": "Invalid version id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full